> For the complete documentation index, see [llms.txt](https://docs.layraweb.com.tr/merhaba/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.layraweb.com.tr/merhaba/sql-tarafi/sql-hatalari-ve-cozumleri/the-multi-part-identifier-could-not-be-bound.md).

# The multi-part identifier could not be bound

"The multi-part identifier could not be bound" hatası, SQL sorgusunda kullanılan bir sütun veya tablo adının yanlış yazılması veya tanımlanmamış olması durumunda ortaya çıkar. Bu hata genellikle JOIN, WHERE veya SELECT gibi sorgu bloklarında kullanılan sütun adlarında veya tablo adlarında meydana gelir.

Örneğin, aşağıdaki sorguda "orders" tablosundan "order\_id" sütununu seçmeye çalışırken "orders" tablosu, "order\_details" tablosu ile JOIN edilerek "orderdetail\_id" sütunu seçilmek istendiğinde "The multi-part identifier 'orders.order\_id' could not be bound" hatası ortaya çıkabilir:

```sql
SELECT orders.order_id, order_details.orderdetail_id
FROM orders
JOIN order_details ON orders.order_id = order_details.order_id
```

Bu hatayı çözmek için, sorguda kullanılan sütun veya tablo adlarının doğru olduğundan emin olunmalıdır. Örneğin, yukarıdaki sorguda "orders.order\_id" yerine "order\_details.order\_id" kullanarak hatayı çözebiliriz:

```sql
SELECT order_details.order_id, order_details.orderdetail_id
FROM orders
JOIN order_details ON orders.order_id = order_details.order_id
```

Buna ek olarak, sütun veya tablo adlarına çift tırnak işareti ("") yerine tek tırnak işareti (') kullanıldığından emin olunmalıdır. Çift tırnak işareti yalnızca SQL Server ve Oracle gibi bazı veritabanı yönetim sistemlerinde kullanılabilir.

```sql
SELECT order_id, "orderdetails_id"
FROM orders
JOIN order_details ON orders.order_id = order_details.order_id
```

Sonuç olarak, "The multi-part identifier could not be bound" hatasını çözmek için sorguda kullanılan sütun veya tablo adlarını doğru şekilde yazmaya özen gösterin ve gerekirse çift tırnak veya tek tırnak işaretlerini kullanın.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.layraweb.com.tr/merhaba/sql-tarafi/sql-hatalari-ve-cozumleri/the-multi-part-identifier-could-not-be-bound.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
